Subject: Fwd: 14 Carroun Road (Roof repairs issue)
From: Katerina Perepech <[email-masked]>
To: Nima <[email-masked]>
Date: Mon, 6 Oct 2025 10:28:12 +0000

Begin forwarded message:

From: Al Sarpong <[email-masked]>
Date: 21 June 2023 at 23:27:04 BST
To: Katerina <[email-masked]>
Subject: Re: 14 Carroun Road (Roof repairs issue)

Dear Katerina,

Thanks very much for your note.

To confirm that I did receive Mr Harris' email and letter.  In general, there was a lot in there that I thought made good sense and understood the situation. There were however a couple of points that I took issue with and made clear in my reply back to Mr Harris.

As was suggested in his letter, having someone of independent standing to decide on disputes or any other issues that affect the building is a good idea, and in principle I support it. This is so long as the person appointed is of fit and proper standing to be able to made sound judgements fairly. It might be a good idea to get the lease document reviewed although we can discuss that at the appropriate time.

Even before this dispute, I have been concerned about the manner in which the freehold is being managed. This particular issue should have been resolved at least year ago, and I did not really appreciate having my initial phone calls and emails ignored before any action was taken.

Anyway, we are now where we are which at least is a much better place for resolution, and I look forward to working with you to get this issue closed as quickly as possible.

Once again, many thanks.

Regards,

Al

Albert Sarpong

14 Carroun Road

Vauxhall

London

SW8 1JT

Mobile:  +44 (0)7921 105732

Tel/Fax:  +44 (0) 20 7 582 0700

[email-masked]<mailto:[email-masked]>

________________________________
From: Katerina <[email-masked]>
Sent: 17 June 2023 09:55
To: Al Sarpong <[email-masked]>
Subject: Re: 14 Carroun Road (Roof repairs issue)

Dear Al,

I hope this letter finds you well. I would like to extend apologies once again for the delay and inconvenience caused by the matter at hand.

As you are aware, KG Project was awaiting guidance and a comprehensive understanding of the lease obligations and responsibilities from our solicitor in order to proceed.

We have been working closely with Mr. Stan Harris from Salaw Solicitors, who, on behalf of KG Project, sent you an email on the 14th June to provide a clear explanation and advice regarding the issue.

I am writing to ensure that you have received this email and are aware of the contents therein.

Now that we have a clear understanding of the situation, we are prepared to engage in a discussion with you.

In relation to the roof works that were previously carried out and other repairs, I will be contacting you early next week to further address these matters.

Thank you for your attention to this letter. We look forward to resolving this issue in a timely and most efficient manner.

Best regards

Katerina

On Sun, 4 Jun 2023 at 11:29, Al Sarpong <[email-masked]<mailto:[email-masked]>> wrote:
Hi Katarina,

Whilst you have at least addressed the situation with the fallen pipes on the back wall, once again you are ignoring my notes (and previously my phone calls) on the subject of the roof.

Please can you (and also your solicitor) be advised that unless I get positive feedback by the 15th June with regards the necessary repairs that were done back in the late winter of 2022, I will then without delay be taking the appropriate action legally to get my money.

Having seen the damage within my flat for yourself and also the pictures of the roof before it was renovated, I am not sure why there has been such a long delay, but this contrasts with the correct and prompt action taken recently with regards the pipes.  For the sake of our cordial relationship, I would rather we did not go down this road so please can I urge we resolve this as quickly as possible with no further delays.

Aways happy to discuss although I would urge that this is done as soon as possible.

Many thanks.

Regards,

Al

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>Albert Sarpong

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>14 Carroun Road<https://www.google.com/maps/search/14+Carroun+Road?entry=gmail&source=g>
<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

Vauxhall<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

London<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

SW8 1JT<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

Mobile:  +44 (0)7921 105732

Tel/Fax:  +44 (0) 20 7 582 0700

[email-masked]<mailto:[email-masked]>

________________________________
From: Al Sarpong <[email-masked]<mailto:[email-masked]>>
Sent: 21 May 2023 20:48
To: Katerina <[email-masked]<mailto:[email-masked]>>
Subject: Re: 14 Carroun Road<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g> (Roof repairs issue)

Dear Katerina,

Given that over a week has passed away since your last note, do you have any further news from your company's solicitor please?

Many thanks.

Regards,

Al

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>Albert Sarpong

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>14 Carroun Road<https://www.google.com/maps/search/14+Carroun+Road?entry=gmail&source=g>
<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

Vauxhall<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

London<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

SW8 1JT<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

Mobile:  +44 (0)7921 105732

Tel/Fax:  +44 (0) 20 7 582 0700

[email-masked]<mailto:[email-masked]>

________________________________
From: Katerina <[email-masked]<mailto:[email-masked]>>
Sent: 12 May 2023 12:54
To: Al Sarpong <[email-masked]<mailto:[email-masked]>>
Subject: Re: 14 Carroun Road<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g> (Roof repairs issue)

Dear Al,
Thank you for answering my questions. I have forwarded your reply to company’s solicitor. I hope to get proper advice from them early next week. As soon as I hear back from them, i will notify you.
Thank you for your patience
Best regards
Katerina

On Thu, 11 May 2023 at 21:34, Al Sarpong <[email-masked]<mailto:[email-masked]>> wrote:
Hi Katerina,

Thank you for your email.

Answers to your questions below:-

  1.  Firstly, I should correct you - it was Solution Roofing that did work and this is clearly stated on the invoice I presented to you. I do not have any documented quotes but I did some ringing around and also went on to the My Builder website - to be honest, it was not an easy task!  Bearing in mind the emergency nature of the leak, I did not have much time to play but was able to select the contractor via online consultation.

  2.  J.S. Whitbread was the name of the person I was requested by the senior roofer to pay the money to. You would have to ask Solution Roofing themselves who that person is within the company but probably a director.  A link to for the company is attached: Local Lewisham Roofer - Solution Roofing Ltd<https://www.solutionroofingltd.co.uk/>.

  1.  Simply because that is my evidence that the job was paid for out of my own money, and I accompanied it with an invoice; I am not sure why you are asking me that question. Again, I would suggest you contact the company if you want further clarification. I had no knowledge of Solution Roofing or of any of their employees before the job was done, and in any case, just reviewing the condition of the roof via the video taken by the roofing team would advise you and your solicitor that the work needed to be done. If the roof had been shown to me before I moved in back in February 2016, I would have requested that you/KG Project fixed it prior to me moving in.

  1.

Please let me know if you require any further information, especially as I would like this sorted out as quickly as possible.

Many thanks.

Regards,

Al

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

<https://www.google.com/maps/search/14%0D%0A+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8%0D%0A+1JT?entry=gmail&source=g><https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>Albert <https://www.google.com/maps/search/14%0D%0A+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8%0D%0A+1JT?entry=gmail&source=g> Sarpong

<https://www.google.com/maps/search/14%0D%0A+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8%0D%0A+1JT?entry=gmail&source=g><https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g><https://www.google.com/maps/search/14%0D%0A+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8%0D%0A+1JT?entry=gmail&source=g>

<https://www.google.com/maps/search/14%0D%0A+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8%0D%0A+1JT?entry=gmail&source=g><https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>14 Carroun Road<https://www.google.com/maps/search/14%0D%0A+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8%0D%0A+1JT?entry=gmail&source=g>
<https://www.google.com/maps/search/14%0D%0A+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8%0D%0A+1JT?entry=gmail&source=g><https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

Vauxhall<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

London<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

SW8 1JT<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g>

Mobile:  +44 (0)7921 105732

Tel/Fax:  +44 (0) 20 7 582 0700

[email-masked]<mailto:[email-masked]>

________________________________
From: Katerina <[email-masked]<mailto:[email-masked]>>
Sent: 11 May 2023 09:17
To: Al Sarpong <[email-masked]<mailto:[email-masked]>>
Subject: 14 Carroun Road<https://www.google.com/maps/search/14+Carroun+Road+%0D%0A+%0D%0A+%0D%0A+Vauxhall+%0D%0A+%0D%0A+London+%0D%0A+%0D%0A+SW8+1JT?entry=gmail&source=g> (Roof repairs issue)

Dear Al,

I am writing to let you know that the KG Project’s solicitor is now in contact with me and working on resolving the situation but before advising me fully has asked me to ask you the following questions.

   1. Was “Solar Roofing” the only contractor with whom you got a quote and if they were the only contractor how did you chose them?

   2. Who is JS Whitbread.

   3. Why did you highlight this payment when I asked you for evidence that Solar had been paid?

Looking forward to hearing from you,

Best regards

Katerina

--
Kind regards,

Mrs Katerina Perepech /Director/

KG PROJECT LTD
office tel: 07816082115
direct tel: 07496449673
web: www.kgplondon.com<http://www.kgplondon.com>

--
Kind regards,

Mrs Katerina Perepech /Director/

KG PROJECT LTD
office tel: 07816082115
direct tel: 07496449673
web: www.kgplondon.com<http://www.kgplondon.com>

--
Kind regards,

Mrs Katerina Perepech /Director/

KG PROJECT LTD
office tel: 07816082115
direct tel: 07496449673
web: www.kgplondon.com<http://www.kgplondon.com>